# Makefile settings shared between Makefiles.

CC = cc
CXX = /opt/aCC/bin/aCC -AA +hpxstd98
CFLAGS = -O +DD64 -I/usr/local/include
CXXFLAGS = -O +DD64 -I/usr/local/include
CCPIC = +Z
CPPFLAGS = -O +DD64 -I/usr/local/include
DEFS = -DHAVE_CONFIG_H
LDFLAGS = +DD64 -Wl,+b -Wl,/usr/local/lib/hpux64:.:.. -L/usr/local/lib/hpux64 -L. -L..
LIBS = -lgmp 
LIBOBJS = 
EMULATOR = 
NM = nm

OBJEXT = o
EXEEXT = 

CC_FOR_BUILD = cc
EXEEXT_FOR_BUILD = 

DEP_FLAGS = 
DEP_PROCESS = true

PACKAGE_BUGREPORT = nettle-bugs@lists.lysator.liu.se
PACKAGE_NAME = nettle
PACKAGE_STRING = nettle 3.5.1
PACKAGE_TARNAME = nettle
PACKAGE_VERSION = 3.5.1

LIBNETTLE_MAJOR = 7
LIBNETTLE_MINOR = 0
LIBNETTLE_SONAME = $(LIBNETTLE_FORLINK)
LIBNETTLE_FILE = $(LIBNETTLE_SONAME)
LIBNETTLE_FILE_SRC = $(LIBNETTLE_FORLINK)
LIBNETTLE_FORLINK = libnettle.so
LIBNETTLE_LIBS = 
LIBNETTLE_LINK = $(CC) -b $(CFLAGS) $(LDFLAGS)

LIBHOGWEED_MAJOR = 5
LIBHOGWEED_MINOR = 0
LIBHOGWEED_SONAME = $(LIBHOGWEED_FORLINK)
LIBHOGWEED_FILE = $(LIBHOGWEED_SONAME)
LIBHOGWEED_FILE_SRC = $(LIBHOGWEED_FORLINK)
LIBHOGWEED_FORLINK = libhogweed.so
LIBHOGWEED_LIBS = -lnettle $(LIBS)
LIBHOGWEED_LINK = $(CC) -b $(CFLAGS) $(LDFLAGS)

NUMB_BITS = 64

AR = ar
ARFLAGS = cru
AUTOCONF = autoconf
AUTOHEADER = autoheader
M4 = /usr/local/bin/m4
MAKEINFO = makeinfo
RANLIB = /bin/true
LN_S = ln -s

prefix	=	/usr/local
exec_prefix =	${prefix}
datarootdir =	${prefix}/share
bindir =	${exec_prefix}/bin
libdir =	/usr/local/lib/hpux64
includedir =	${prefix}/include
infodir =	${datarootdir}/info

# PRE_CPPFLAGS and PRE_LDFLAGS lets each Makefile.in prepend its own
# flags before CPPFLAGS and LDFLAGS. While EXTRA_CFLAGS are added at the end.

COMPILE = $(CC) $(PRE_CPPFLAGS) $(CPPFLAGS) $(DEFS) $(CFLAGS) $(EXTRA_CFLAGS) $(DEP_FLAGS)
COMPILE_CXX = $(CXX) $(PRE_CPPFLAGS) $(CPPFLAGS) $(DEFS) $(CXXFLAGS) $(DEP_FLAGS)
LINK = $(CC) $(CFLAGS) $(PRE_LDFLAGS) $(LDFLAGS)
LINK_CXX = $(CXX) $(CXXFLAGS) $(PRE_LDFLAGS) $(LDFLAGS)

# Default rule. Must be here, since config.make is included before the
# usual targets.
default: all

# For some reason the suffixes list must be set before the rules.
# Otherwise BSD make won't build binaries e.g. aesdata. On the other
# hand, AIX make has the opposite idiosyncrasies to BSD, and the AIX
# compile was broken when .SUFFIXES was moved here from Makefile.in.

.SUFFIXES:
.SUFFIXES: .asm .c .$(OBJEXT) .html .dvi .info .exe .pdf .ps .texinfo

# Disable builtin rule
%$(EXEEXT) : %.c
.c:

# Keep object files
.PRECIOUS: %.o

.PHONY: all check install uninstall clean distclean mostlyclean maintainer-clean distdir \
	all-here check-here install-here clean-here distclean-here mostlyclean-here \
	maintainer-clean-here distdir-here \
	install-shared install-info install-headers \
	uninstall-shared uninstall-info uninstall-headers \
	dist distcleancheck
